%global         checkout 20130527bzr
%global         bzrid 834
Name:           plank
Version:        0.2.0.%{bzrid}
Release:        0.1.%{checkout}%{?dist}
Summary:        A port of docky to Vala

Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://wiki.go-docky.com/index.php?title=Plank:Introduction
# bzr branch lp:plank ; cd plank ; bzr up -r834
# ./autogen.sh ; make dist
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  gnome-common
BuildRequires:  libgee06-devel
BuildRequires:  bzr
BuildRequires:  vala
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala-tools
BuildRequires:  glib2-devel
BuildRequires:  libwnck3-devel
BuildRequires:  bamf3-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:	libdbusmenu-gtk3-devel
BuildRequires:	libdbusmenu-devel
Requires:       bamf-daemon

%description
A very simple dock written in Vala.


%package devel

Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala-tools

%description devel
Development files for %{name}

%prep
%setup -q

%build
%{configure}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# Fedora does not use apport
rm -f %{buildroot}%{_sysconfdir}/apport/crashdb.conf.d/%{name}-crashdb.conf
rm -f %{buildroot}%{_datadir}/apport/package-hooks/source_%{name}.py
# Remove built .la file
rm -f %{buildroot}%{_libdir}/lib%{name}.la
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.0
%{_libdir}/lib%{name}.so.0.0.0
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.svg

%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/vala/vapi/%{name}.vapi
%{_datadir}/vala/vapi/%{name}.deps

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%changelog
* Thu Jan 24 2013 Wesley Hearn <whearn@redhat.com> - 0.2.0.734-0.1.20130124bzr
- Updated to 734

* Mon Jan 21 2013 Wesley Hearn <whearn@redhat.com> - 0.2.0.731-1.20130121
- Updates to revision 731
- Fixed version numbers and how I generate the source ball
- Cleaned up spec file some more

* Wed Jan 17 2013 Wesley Hearn <whearn@redhat.com> - 0.0-1.20130117bzr723
- Updated to revision 723
- Cleaned up the spec file some

* Wed Jan 16 2013 Wesley Hearn <whearn@redhat.com> - 0.0-1.20130116bzr722
- Initial package

